--- old/usr/src/tools/cscope-fast/display.c	2013-01-14 00:49:32.368002009 -0500
+++ new/usr/src/tools/cscope-fast/display.c	2013-01-14 00:49:32.376933650 -0500
@@ -28,8 +28,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  *	cscope - interactive C symbol cross-reference
  *
@@ -567,8 +565,10 @@
 putmsg(char *msg)
 {
 	if (incurses == NO) {
-		*msg = tolower(*msg);
-		(void) fprintf(stderr, "cscope: %s\n", msg);
+		char *str = stralloc(msg);
+		*str = tolower(*str);
+		(void) fprintf(stderr, "cscope: %s\n", str);
+		(void) free(str);
 	} else {
 		(void) move(MSGLINE, 0);
 		(void) clrtoeol();
